aboutsummaryrefslogtreecommitdiff
path: root/t/t9116-git-svn-log.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/t9116-git-svn-log.sh')
-rwxr-xr-xt/t9116-git-svn-log.sh16
1 files changed, 9 insertions, 7 deletions
diff --git a/t/t9116-git-svn-log.sh b/t/t9116-git-svn-log.sh
index 244b5cd3c..5d477e4bd 100755
--- a/t/t9116-git-svn-log.sh
+++ b/t/t9116-git-svn-log.sh
@@ -8,14 +8,16 @@ test_description='git svn log tests'
test_expect_success 'setup repository and import' '
mkdir import &&
- (cd import &&
- for i in trunk branches/a branches/b \
- tags/0.1 tags/0.2 tags/0.3; do
- mkdir -p $i && \
- echo hello >> $i/README || exit 1
- done && \
+ (
+ cd import &&
+ for i in trunk branches/a branches/b tags/0.1 tags/0.2 tags/0.3
+ do
+ mkdir -p $i &&
+ echo hello >>$i/README ||
+ exit 1
+ done &&
svn_cmd import -m test . "$svnrepo"
- ) &&
+ ) &&
git svn init "$svnrepo" -T trunk -b branches -t tags &&
git svn fetch &&
git reset --hard trunk &&